//
//  mcapiexception.cs - MCAPI exception class 
//
//  $Id: McapiException.cs 856 2015-01-05 17:55:13Z brian $
//
//  Copyright (c) 2006-2015 by Precision Micro Control Corp. All rights reserved.
//
using System;

namespace McapiNet
{
	/// <summary>
	/// The Motion Control API .NET exception class.
	/// </summary>
	public class McapiException : ApplicationException
	{
		private Mcapi.Error error;

		/// <summary>Constructor.</summary>
		public McapiException()
			: this(Mcapi.Error.NoError, "A McapiException has been thrown", null)
		{}

		/// <summary>Constructor.</summary>
		public McapiException(Mcapi.Error err, string message)
			: this(err, message, null)
		{}

		/// <summary>Constructor.</summary>
		public McapiException(Mcapi.Error err, string message, Exception innerE)
			: base(message, innerE)
		{
			error = err;
		}
	}
}
