@echo off
rem
rem  Pre-build script invokes TortoiseSVN's (subversion gui) SubWCRev
rem  tool to create an include file with the current repository 
rem  revision number as a #define. The SubWCRev exe must be in the
rem  current path, best to add the TortoiseSVN bin dir to the system's
rem  path environment variable. 
rem 
rem  This version is specifically designed for user source demos, where we can
rem  generate version.h (we have access to version control) but end users 
rem  cannot. The trick is to get VS to only call this file if it exists, and not
rem  to distribute this batch file to end users (but do distribute the built 
rem  version.h).
rem
rem  Call from VS as a pre build step as follows:
rem
rem    if exist "$(ProjectDir)\pre-build.bat" "$(ProjectDir)\pre-build.bat" $(ProjectDir)
rem
rem  This file checks to see if the target exists, if not the target is always 
rem  created, if it does exist it is only updated following a commit to the 
rem  version control repository. DO NOT place the target under version control 
rem  (think about it).
rem
rem  $Id: pre-build.bat 548 2009-03-26 21:35:29Z brian $
rem

cd %1
if exist "Generated Files\AssemblyInfo.cs" (
  SubWCRev . AssemblyInfo.in "Generated Files\AssemblyInfo.cs" -n
  if errorlevel == 7 echo Uncommitted changes present, AssemblyInfo.cs not modified
) else (
  SubWCRev . AssemblyInfo.in "Generated Files\AssemblyInfo.cs"
  echo No AssemblyInfo.cs found, new file created
)
